Subject: Re: Citrus trees from seed

From: [email-masked] (charles dunn)
Date: 3 Apr 1995 01:11:23 -0500

Citrus seeds sprout quite readily.  They make 1-7 sprouts per seed, all
identical to the mother tree.  They aren't true embryos but adventitious buds.
But most take years to bear fruit, and it gets too cold in Houston for most
varieties.